<!DOCTYPE html>
<!-- [QPRTemplateStart: notesdet.tpl] -->
<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jspgdetailspaneutils.tpl">

<script type="text/javascript">
function sGetProcessBrowserItem()
{
  var sUrl = "";
  var sItemText = "";
  var bOpenInNew = false;
  var iLevelId = 0;
<#Tool_OpenInProcessBrowserParams>
  if (sUrl == '') then
    return "";

  if(bOpenInNew){
    return sGetToolbarIconButtonHTMLForSimplePopup(sItemText, sUrl);
  }
  else {
    return sGetToolbarIconButtonHTMLForOpenInformationView(sItemText, sUrl, "<#ImageFileLocation>icn_flowchart.gif", "", iLevelId);
  }
}

function sGetLocalToolbarHTML()
{
  return sGetProcessBrowserItem();
}

function sGetViewId()
{
  return "<#ObjectId>";
}

function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions();
}

function sGetHelpFile()
{
  return "<#HelpFileURL>?notes.htm";
}

function OnLoad()
{
  UpdateInformationViewToolbarsFromInformationView();
  trackGoogleAnalytics();  // Google Analytics  
}
</script>
</head>
<body onload="javascript: OnLoad();" onUnload="UpdateInformationViewToolbarsFromInformationView(true);">
  <div id="PropertyListWrapper" class="PropertyList">
    <#Include template="pg_detailsview_description_simple.tpl">

    <table cellspacing="0" cellpadding="0" class="PropertyListTable DetailsPaneExclude">
      <#Include template="pg_detailsview_firsttablecaptionstart.tpl">
        <#LocalizedText id="Information">
      </caption>

  		<tr style="<#IsSectionVisible id="Name" false="display: none">">
  			<th class="Vertical"><#HName></th>
  			<td><#Name></td>
  		</tr>

  		<tr style="<#IsSectionVisible id="Symbol" false="display: none">">
  			<th class="Vertical"><#LocalizedText id="Symbol"></th>
  			<td><#Symbol></td>
  		</tr>

  		<tr id="ModelElementConnectedTo" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="ModelElementConn" false="display: none">">
  			<th class="Vertical"><#LocalizedText id="Model Element Connected to"></th>
  			<td><#ModelElementConn></td>
  		</tr>
  
  		<tr id="NoteConnectedTo" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="NoteConn" false="display: none">">
  			<th class="Vertical"><#LocalizedText id="Note Connected to"></th>
  			<td><#NoteConn></td>
  		</tr>
  	</table>

<#Include template="pg_detailsview_custom_attributes.tpl">

<#Include template="pg_detailsview_external_model_links.tpl">
</div>

<#Include template="pg_detailsview_footer.tpl">

</body>
</html>
<!-- [QPRTemplateEnd: notesdet.tpl] -->
