<table id="FlowchartContainer" class="PropertyListTable" cellspacing='0' cellpadding='0'>
<script type="text/javascript">
  var _bInPrintFrameWithShowOnlyFlowchartViewer;
  if (bIsInPrintFrame())
  {
    var oInformationView = oGetInformationViewFrame();
    _bInPrintFrameWithShowOnlyFlowchartViewer = (oInformationView && oInformationView.bShowOnlyFlowchartViewer) ? oInformationView.bShowOnlyFlowchartViewer() : false;
  }

  function bIsFullScreenModeEnabled()
  {
    return ((typeof(_bFullScreen) !== "undefined") && _bFullScreen);
  }

  // Is the flowchart viewer shown as only content of the frame
  function bShowOnlyFlowchartViewer()
  {
    return _bInPrintFrameWithShowOnlyFlowchartViewer || bHasDetailsPane() || bIsFullScreenModeEnabled();
  }

  var _sFlowchartHeight = bShowOnlyFlowchartViewer() ? null : "<#Parameter id="Height">";

  function bIsFullWindowFlowchart()
  {
    if (!_sFlowchartHeight)
      return true;
    return (_sFlowchartHeight === "100%");
  }

  function WriteCaption()
  {
    if (("<#Parameter id="firsttable">" === "1") && _bDescriptionShown)
      document.write('<caption id="FlowchartContainerCaption" class="FirstTable">');
    else
      document.write('<caption id="FlowchartContainerCaption">');   
    document.write('<#LocalizedText id="Graph">');
    var sHTML = "";
    if (_bHasRightsToData)
      sHTML += sGetCaptionToolbarIconButtonHTML("<#LocalizedText id="Full Screen">", "javascript:OpenFullScreenFlowchart()", "<#PortalImageFileLocation>icon_fullscreen.gif", "LinkRight");
    sHTML += sGetCaptionToolbarIconButtonHTMLForSizedPopup("<#localizedtext id="Graph Settings">", "<#Tool_ZoomUrl>", 320, 230, "<#PortalImageFileLocation>icon_graph_settings.png", "LinkRight");
    document.write(sHTML + "<\/caption>");
  }

  // Print Diagram
  var defaultZoom = 500;
  var showPrompt = true; //true or false
  var maxZoomFactor = 1000;	// defines maximum zoom percentage
  
  // Print Diagram. function to open process flowchart as image in a new window (can be used to print the flowchart)
  function openPrintableImage() {
    var zoom = defaultZoom;
	
	$('#PrintAsImageDialogTemplate').dialog({
	  buttons: {
        "Print": function () {
		  var div = $('#PrintAsImageDialogTemplate').html();
		  zoom = $('input[name=zoom]').val();
		  var showDialog = $('input[name=openprintdialog]').prop('checked');
		  if (zoom == null) {
		    $(this).dialog('close'); 
	      } 
		  else if (zoom == "" || !zoom.match(/^[0-9]+$/)) {
            zoom = defaultZoom;
	      }
	
	      getImageFromWS(zoom, showDialog);
	  
	      $(this).dialog('close');
      },
      "Cancel": function () {
        $(this).dialog('close');
      }
    }});
	
	$('#PrintAsImageDialogTemplate').dialog('open');	
  }

  // Print Diagram
  function getImageFromWS(zoom, openPrintDialog)
  {
    var oAccessor = WSFUtils();
    oAccessor.LoadProxy(function() {
      oAccessor.AutoAuthenticate(function() {
        var options = "zoom=" + zoom + "%";
		var viewSettings = oGetInformationViewFrame().sGetParameter("VIE", sGetDocumentLocation());
		if (viewSettings != '') {
		  options = options + ",viewsettings=" + viewSettings;
		}
        var objectId = 'PG.<#ModelId>' + ('<#ObjectId>' != '0' ? ('.<#ObjectId>') : '');
        var sURL = oAccessor.oClient.QPR_GetMethodURL("GetGraphAsStream", { sessionId: oAccessor.sSessionId, objectId: objectId, options: options });
		var newWindow = window.open(sURL, '', $("#FlowchartContainer").width(), $("#FlowchartContainer").height());
		if (openPrintDialog) {
          var delay = setInterval( function () {
            if (newWindow.document.readyState !== 'complete') 
              return;
            clearInterval(delay);
            newWindow.print(); 
          }, 100); 
		}
      }, function(){});
    }, function(){});	
   } 

  // Print Diagram. Verify that number is typed to the input field	
  function isNumericValue(event)
  {
    var charCode = event.which || event.keyCode;
 	return !(charCode > 31 && (charCode < 48 || charCode > 57));
  } 

  // Print Diagram. Verify that typed value is within limit(100 - maxZoomFactor)	  
  function validateZoomValue()
  {
    if (document.getElementById("zoomFactor").value < 100)
	{
	  document.getElementById("zoomFactor").value = "100";
	}
	
	if (document.getElementById("zoomFactor").value > maxZoomFactor)
	{
      document.getElementById("zoomFactor").value = maxZoomFactor;
	}
  }  
  
  if (bIsFullScreenModeEnabled())
    $("#PropertyListWrapper").prepend($('<div/>').addClass('divFullScreenProcessPath').html('<#ProcessLevelLocator OpenerFunction="OpenSubprocessFullScreen" InnerLinkParams="" EndSeparator="/" LevelSeparator="/"><#TitleShort>'));
  else
    WriteCaption();

  if (bIsFullWindowFlowchart())
    $("#PropertyListWrapper").css("height", "100%");
</script>
  <tr>
    <td>
      <div id="divFlowchart">
      </div>
    </td>
  </tr>
</table>

<!-- Print Diagram -->
<div id="PrintAsImageDialogTemplate" style="display: none;" title="Print Diagram">
  <label><#LocalizedText id="Zoom percentage:"></label>
  <br/>
  <input type="text" id="zoomFactor" name="zoom" value="500" maxlength="4" onkeypress="return isNumericValue(event);" onfocusout="validateZoomValue();"/>
  <br/>
  <label><#LocalizedText id="Open print dialog"></label>
  <br/>
  <input type="checkbox" name="openprintdialog" value="1" checked="true"/>
  <br/>
</div>

<#Include template="jsflowchartutils.tpl">

<script type="text/javascript">
  if (!bInPortal() && parent && parent.OnPDFPrint)
    $("#FlowchartContainer").height(600); // Fix to blank pages appending in booklet PDF printing
  else if (bIsFullWindowFlowchart())
    $("#FlowchartContainer").addClass("FullWindowFlowchartContainer");
  else if (!bIsInPrintFrame())
    $("#FlowchartContainer").height(_sFlowchartHeight);
  else 
    $("#FlowchartContainer").height(100); 

   
</script>
