<!DOCTYPE html>
<!-- [QPRTemplateStart: popup_zoomselect.tpl] -->
<html>
<head>
<title><#HSelectZoomSize></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />

<#PortalScript>
<#stylesheet>

<script type="text/javascript">
  var _iZoomIndex = 0;

  function PGUpdateHierarchyParameters(vsParameters, vsUrl)
  {
    if (bHasValidOpener(window))
    {
      if (window.opener.UpdateHierarchyParametersAndPortalStateWithoutRefresh &&
          window.opener.OpenInformationView &&
          ((window.opener.sGetHierarchyName && (parent.sGetHierarchyName() == 'PGPLUGIN_processmaps')) ||
           (window.opener.name == 'fullscreen'))) {
        window.opener.UpdateHierarchyParametersAndPortalStateWithoutRefresh(vsParameters);
        window.opener.OpenInformationView(vsUrl);
      } else if (window.opener.OpenInformationView)
        window.opener.OpenInformationView(vsUrl);
    }
    window.close();
  }

  function PGUpdateSCCEViewZoom(vsZoom)
  {
    var oInformationView = oGetInformationViewFrame();
    if (oInformationView && bExists(oInformationView.submitPGZoomParameters))
      oInformationView.submitPGZoomParameters(vsZoom);
    window.close();
  }

  function Zoom(vsURL, vsLabel, vbIsDefault)
  {
    vsURL = vsURL.replace(/'/g, "\"");
    var sIconName;
    if (_iZoomIndex === 0)
      sIconName = "icon_zoom_fit_to_window.png";
    else if (_iZoomIndex === 1)
      sIconName = "icon_zoom_page_width.png";
    else
      sIconName = "icon_zoom.png";     
    document.write("<tr><td style=\"padding-top: 2px; padding-bottom: 3px;\">" + sGetCaptionToolbarIconButtonHTML(vsLabel, "javascript:" + vsURL, "<#PortalImageFileLocation>" + sIconName, "LinkLeft") + "<\/td><\/tr>");
    ++_iZoomIndex;
  }

  function bValidateZoomValue(vsValue)
  {
    var sTemp = trim(vsValue);
    if (sTemp.charAt(sTemp.length - 1) == '%')
      sTemp = trim(sTemp.substr(0, sTemp.length - 1));
    return(SafeParseInt(sTemp, 0) > 0);
  }

  function CustomZoom()
  {
    var sZoom = document.getElementById("CZOOM").value;
    if (!bValidateZoomValue(sZoom))
    {
      alert(sDecodeURI('<#LocalizedTextMessage id="Invalid value.">'));
      return;
    }
    var sZoom = sEncodeURI(sZoom);
    if (sGetParameter("SCV", sGetDocumentLocation()) === "1")
      PGUpdateSCCEViewZoom(sZoom);
    else
      PGUpdateHierarchyParameters('<#customzoomhierarchyparams>&ZOOM=' + sZoom, '<#customzoomurl>&ZOOM=' + sZoom);
  }

  function WriteCustomZoomControls()
  {
    var sZoom = "<#urlparameter id="ZOOM">";
    if ((sZoom == "") || (sZoom == "fw") || (sZoom == "fs"))
      sZoom = "100&#x25;";
      
    document.write('<tr><td style="background: url(<#PortalImageFileLocation>icon_zoom.png) no-repeat left center;">');
    document.write('<input type="text" id="CZOOM" name="CZOOM" style="margin-left: 16px; margin-top: 2px; margin-right: 4px;" maxlength="6" style="width: 80px" value="' + sZoom + '" \/>');
    document.write('<input type="button" id="CZOOMB" name="CZOOMB" value="<#LocalizedText id="Zoom">" onclick="javascript:CustomZoom()" \/>');
    document.write('<\/td><\/tr>');
  }
</script>

</head>

  <body class="PopupView" style="margin-top: 0px;" onload="oGetMainView().sendGoogleAnalyticsEvent('Button', 'Change zoom', '');">
    <div id="PopupHeader">
      <img src="<#PortalImageFileLocation>header_icon_select.png" />
      <h1>
        <#HSelectZoomSize>
      </h1>
    </div>
    <div class="PopupContent">
      <div class="PropertyFormGroupWrapper">
        <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" style="width: 100%">
          <tr>
            <td valign="top">
              <table border="0" style="width: 100%" cellpadding="2" cellspacing="1">
                <tr>
                  <td valign="top">
                    <table style="width: 100%" border="0" cellpadding="2" cellspacing="1">
<script type="text/javascript">
  <#zoomlevelfitlist mode="js">
</script>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>
      <div class="PropertyFormGroupWrapper">
        <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" style="width: 100%">
          <tr>
            <td valign="top">
              <table border="0" style="width: 100%" cellpadding="2" cellspacing="1">
                <tr>
                  <td valign="top">
                    <table style="width: 100%" border="0" cellpadding="2" cellspacing="1">
<script type="text/javascript">
  <#zoomlevellist mode="js">
</script>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>
      <div class="PropertyFormGroupWrapper">
        <table class="GlossyPropertyFormGroup" cellspacing="0" cellpadding="0" style="width: 100%">
          <tr>
            <td valign="top">
              <table border="0" style="width: 100%" cellpadding="2" cellspacing="1">
                <tr>
                  <td valign="top">
                    <table style="width: 100%" border="0" cellpadding="2" cellspacing="1">
<script type="text/javascript">
  WriteCustomZoomControls();
</script>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>
    </div>
    <div id="DetailsFooter">
      <input class="ButtonRight" type="button" value="<#HCancel>" onclick="window.close()">
    </div>
<script type="text/javascript">
  InitializeResizeHandlerForPopup(window);
  ResizePopupWindow(300, 360 + 20 * _iZoomIndex);
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: popup_zoomselect.tpl] -->
