<!DOCTYPE html>
<!-- [QPRTemplateStart: storedet.tpl] -->
<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>">

<#PortalScript>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>

<#stylesheet>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jspgdetailspaneutils.tpl">

<script type="text/javascript">
function sGetProcessBrowserItem()
{
  var sUrl = "";
  var sItemText = "";
  var bOpenInNew = false;
  var iLevelId = 0;

<#Tool_OpenInProcessBrowserParams>

  if(bOpenInNew){
    return sGetToolbarIconButtonHTMLForSimplePopup(sItemText, sUrl);
  }
  else {
    return sGetToolbarIconButtonHTMLForOpenInformationView(sItemText, sUrl, "<#ImageFileLocation>icn_flowchart.gif", "", iLevelId);
  }
}

function sGetLocalToolbarHTML()
{
  return sGetProcessBrowserItem();
}

function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions();
}

function sGetHelpFile()
{
	return "<#HelpFileURL>?detailview.htm";
}

function OnLoad()
{
  UpdateInformationViewToolbarsFromInformationView();
  trackGoogleAnalytics();  // Google Analytics
}  
</script>
</head>
<body onload="OnLoad();" onUnload="UpdateInformationViewToolbarsFromInformationView();">
  <div id="PropertyListWrapper" class="PropertyList">
    <#Include template="pg_detailsview_description.tpl">

    <table id="Information" class="PropertyListTable" cellspacing="0" cellpadding="0">
      <#Include template="pg_detailsview_firsttablecaptionstart.tpl">
        <#LocalizedText id="Information">
      </caption>

  		<tr style="<#IsSectionVisible id="Name" false="display: none">">
  			<th class="Vertical"><#HName></th>
  			<td><#Name></td>
  		</tr>

  		<tr style="<#IsSectionVisible id="Symbol" false="display: none">">
  			<th class="Vertical"><#LocalizedText id="Symbol"></th>
  			<td><#Symbol></td>
  		</tr>

  		<tr id="StoreType" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="StoreType" false="display: none">">
  			<th class="Vertical"><#HStoreType></th>
  			<td><#StoreType></td>
  		</tr>
    </table>

<#Include template="pg_detailsview_recentactions.tpl" max_num_elements="10">

<#BeginSection id="OnProcessLevels">
<#Include template="pg_detailsview_processlevels.tpl">
<#EndSection>

<#BeginSection id="Flows">
<#Include template="pg_detailsview_flows.tpl">
<#EndSection>

<#BeginSection id="Notes">
<#Include template="pg_detailsview_notes.tpl">
<#EndSection>

<#BeginSection id="InformationItems">
<#Include template="pg_detailsview_informationitems.tpl">
<#EndSection>

<#Include template="pg_detailsview_custom_attributes.tpl">
<#Include template="pg_detailsview_external_model_links.tpl">

</div>

<#Include template="pg_detailsview_footer.tpl">

</body>
</html>
<!-- [QPRTemplateEnd: storedet.tpl] -->
